package com.pcloud.book.book.dao;

import com.pcloud.book.book.dto.BookCoverDTO;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

/**
 * 书籍封面持久层接口
 */
public interface BookCoverDao extends BaseDao<BookCoverDTO> {

    List<BookCoverDTO> selectAllCover();

    List<BookCoverDTO> selectByTempletId(Long TempletId);

    BookCoverDTO selectById(String coverId);

    BookCoverDTO selectByTempletIdAndCoverImg(Long templetId, String coverId);

    void deleteById(String coverId);

    void updateCover(BookCoverDTO bookCoverDTO);
}
